Semaphor

List group members

Returns all members of a group with their user type (org or tenant) and resolved user details (name and email).

GET
/api/management/v1/groups/{groupId}/members

Authorization

BearerAuth
AuthorizationBearer <token>

A project-scoped access token. Generate one via the Token API with your project ID and project secret.

In: header

Path Parameters

groupId*string

The group's unique identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X get "https://semaphor.cloud/api/management/v1/groups/string/members"
{
  "groupId": "string",
  "members": [
    {
      "id": "string",
      "groupId": "string",
      "user": {
        "id": "string",
        "name": "string",
        "email": "user@example.com"
      },
      "userType": "org",
      "userId": "string",
      "addedBy": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalCount": 0
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}